Skip to main content
POST
/
api
/
v1
/
school
/
report-settings
/
reset
Reset report settings to defaults
curl --request POST \
  --url https://test-api.afrainity.com/api/v1/school/report-settings/reset/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "priority": "<unknown>",
  "is_deleted": true
}
'
{
  "reset": true,
  "data": {
    "id": "uuid-123",
    "priority": {
      "o_level_rules": [
        {
          "rule": "Subjects Passed",
          "priority": 1,
          "description": "Students with the highest number of A's are ranked first"
        },
        {
          "rule": "Grades",
          "priority": 2,
          "description": "Students with the most number of subjects are ranked first"
        },
        {
          "rule": "Total marks",
          "priority": 3,
          "description": "Students with the highest marks are ranked first"
        }
      ],
      "a_level_rules": [
        {
          "rule": "Subjects Passed",
          "priority": 1,
          "description": "Students with the highest number of A's are ranked first"
        },
        {
          "rule": "Symbol",
          "priority": 2,
          "description": "Students with the most number of subjects are ranked first"
        },
        {
          "rule": "Total marks",
          "priority": 3,
          "description": "Students with the highest marks are ranked first"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

Auto-populate created_by from request.user when available.

priority
any
is_deleted
boolean

Response

200 - application/json
{key}
any